﻿$ErrorActionPreference = 'Stop';

$url64 = 'https://github.com/pjoe/loadem/releases/download/0.2.10/loadem-0.2.10-windows-amd64.zip'
$checksum64 = '941a44464d39d819f593e75f2e431956ff043cc0fe4042df1b1c90bdb1e97304f15248f5728f6308f3847c019a1e98153bc2409ba7b096f35483b9dcde967993'
$checksumType64 = 'sha512'
$UnzipLocation = Join-Path $env:ChocolateyInstall (Join-Path 'lib' $env:ChocolateyPackageName)

# need to add package to PATH instead of using shim, in order to have proper Ctrl-C handling
# this ensures loadem can output stats to stdout when a test is quit using Ctrl-C

# make sure dir exists
mkdir $UnzipLocation -ErrorAction SilentlyContinue
# ignore exe to avoid shim
New-Item "$UnzipLocation\loadem.exe.ignore" -type file -force | Out-Null
# delete old shim if exists
Uninstall-BinFile 'loadem'
# install
Install-ChocolateyZipPackage -PackageName $env:ChocolateyPackageName -Url64 $url64 -UnzipLocation $UnzipLocation -CheckSum64 $checksum64 -CheckSumType64 $checksumType64
# add to path
Install-ChocolateyPath $UnzipLocation -PathType 'Machine'

Write-Output "Run 'loadem --help' to get started"
